using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Defaultability.Domain;

public class TaobaoTbkDgGeneralLinkConvertLkPageDTO
{

    /*
        会场ID
    */
    private string? pageId;


    /*
        页面内定坑商品ID，用于素材-坑位还原
    */
    private IList<string>? targetItemList;



    [JsonPropertyName("page_id")]
    public string? PageId
    {
        get => pageId;
        set => this.pageId = value;
    }

    [JsonPropertyName("target_item_list")]
    public IList<string>? TargetItemList
    {
        get => targetItemList;
        set => this.targetItemList = value;
    }

}

